Bug 1271977 - RFE - asking for el7 i386 build option
RFE - asking for el7 i386 build option
Status: CLOSED WONTFIX
Product: Copr
Classification: Community
Component: backend (Show other bugs)
unspecified
i386 Linux
high Severity low
: ---
: ---
Assigned To: clime
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 04:18 EDT by Fabian Arrotin
Modified: 2017-11-03 01:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-03 01:26:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Arrotin 2015-10-15 04:18:53 EDT
Description of problem:

There is no epel-7-i386 chroot available for people to use copr

Version-Release number of selected component (if applicable):


How reproducible:

Try to create a copr repo/project to build el7 i386 packages

Steps to Reproduce:
1.
2.
3.

Actual results:

It's a current known fact that epel-7 i386 doesn't exist (yet ?) but CentOS 7 i386 already exists (http://mirror.centos.org/altarch/7/os/i386/) so why not using it for el7 i386 buildroot ?

Expected results:

a working build environment

Additional info:
Comment 1 clime 2016-12-02 12:10:35 EST
Chroot was added but it is no-op as there is no epel-7-i386 mock config and there are no epel-7-i386 repos. I think, without epel-7-i386 base, we cannot really do much. I started this thread https://lists.fedoraproject.org/archives/list/epel-devel@lists.fedoraproject.org/thread/OJVTY5MWCZXPLKACU6MPRRRHJCUN5JE4/. We will see where it goes.
Comment 2 Julius Schwartzenberg 2016-12-02 12:27:02 EST
Maybe for now it would actually mostly work use the x86-64 configuration but just make sure that the target is i386. That allows me to build i386 RPMs on my x86-64 system at least.
Comment 3 Pat Riehecky 2016-12-02 13:53:19 EST
Figured I'd provide a real world use case for the ticket:  Skype

Skype is currently 32bit only and the official RPM requires qtwebkit.i686 which is not provided by EPEL7.  EPEL7 does have qtwebkit.x86_64.
Comment 4 clime 2017-01-04 23:20:38 EST
I disabled the chroot for the lack of epel-7-i386 repos.
Comment 5 Fabian Arrotin 2017-01-05 01:23:53 EST
Well, the option is to point to CentOS i386 repo (AltArch) which exists and you can then have a mock chroot with i386 pkgs .. that's how I built my wine i386 packages for x86_64 desktops 

http://mirror.centos.org/altarch/7/os/i386/

Or is the issue the fact that you don't/can't enable CentOS repositories in Copr ?
Comment 6 clime 2017-11-03 01:26:24 EDT
(In reply to Fabian Arrotin from comment #5)
> Well, the option is to point to CentOS i386 repo (AltArch) which exists and
> you can then have a mock chroot with i386 pkgs .. that's how I built my wine
> i386 packages for x86_64 desktops 
> 
> http://mirror.centos.org/altarch/7/os/i386/
> 
> Or is the issue the fact that you don't/can't enable CentOS repositories in
> Copr ?

We don't have just CentOS chroot. Only CentOS + EPEL and EPEL7 does not seem to exists for i386.

I think if you need something like that you could use the custom chroot and configure repositories and buildroot packages manually (in Project Settings -> "Edit"  ...for the custom chroot). It's not the same thing for user, I admit. We would need to let users pick their own name for a custom chroot.

Note You need to log in before you can comment on or make changes to this bug.